%define name nis-utils
%define version 1.4.1
%define release 1mdk
%define libname %mklibname nisdb 1

Summary: NIS+ client programs
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.kernel.org/pub/linux/utils/net/NIS+/%{name}-%{version}.tar.bz2
Patch: nis-utils-1.4.1-initscript.patch.bz2
License: GPL
Group: System/Configuration/Networking
Url: http://www.linux-nis.org/nisplus/index.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mp-devel
Prereq:	rpm-helper
%description
This is a snapshot of a collection of NIS+ tools.

This package contains the libnis_db library, the
daemons keyserv, rpc.nisd, rpc.nispasswdd and some more NIS+ tools.

%package -n %libname
Group: System/Libraries
Summary: NIS+ database library

%description -n %libname
This is a snapshot of a collection of NIS+ tools.

This package contains the libnis_db library.

%package -n %libname-devel
Group: Development/C
Summary: NIS+ database library - C headers
Requires: %libname = %version-%release
Provides: libnisdb-devel = %version-%release

%description -n %libname-devel
This is a snapshot of a collection of NIS+ tools.

This package contains the C headers for the libnis_db library.

%prep
%setup -q
%patch -p1

%build
%serverbuild
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std usretcexecdir=%_sbindir
chmod u+w %buildroot%_bindir/* %buildroot%_sbindir/* %buildroot%_libexecdir/nis*
install -m 755 -D etc/redhat.rc %buildroot%_sysconfdir/rc.d/init.d/nisplus
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service nisplus

%preun
%_preun_service nisplus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc README NEWS THANKS TODO AUTHORS ChangeLog
%config(noreplace) %_sysconfdir/rc.d/init.d/nisplus
%_bindir/*
%_sbindir/*
%_libexecdir/nis*
%_mandir/man1/*
%_mandir/man5/*
%_mandir/man8/*

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/lib*.so
%_libdir/lib*.la
%_libdir/lib*.a
%_includedir/rpcsvc/
%_mandir/man3/*

%changelog
* Mon Sep 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.1-1mdk
- initial package
